--- /dev/null
+Source: xknx
+Section: main
+Priority: optional
+Maintainer: Michael Wagner <michael@wagnertech.de>
+Build-Depends: git,build-essential
+
+Package: xknx
+Section: main
+Priority: optional
+Architecture: all
+Description: A KNX library written in Python
+
--- /dev/null
+#!/bin/bash
+set -e
+
+# parameter: $1: base dir for copy (optional)
+
+mkdir -p $1/usr/lib/python3/dist-packages/
+rsync -a --exclude=".git" Downloads/xknx/xknx/ $1/usr/lib/python3/dist-packages/xknx/
+
--- /dev/null
+#!/bin/bash
+set -e
+
+mkdir -p Downloads
+cd Downloads
+
+if [ -d xknx ]
+then
+ cd xknx
+ git fetch -t
+else
+ git clone https://github.com/xknx/xknx
+ cd xknx
+fi
+
+if [ $version != "0.0.0" ]
+then
+ git checkout $version
+ cp LICENSE ../../debian/
+fi
+
+